/**
 * Layout and positioning
 */
#bettercheckout { font-size: .857em; }
#bettercheckout-credentials { float: left; width: 40%; }
#bettercheckout-options { float: left; width: 58%; margin-left: 2%; }
#bettercheckout ul { margin: 0; padding: 0; }
#bettercheckout li { list-style-type: none; }
#bettercheckout label { cursor: pointer; display: block; padding: 0 5px; }
#bettercheckout input.input-text { background: #FFF; border:1px solid #34A9BA; }
#bettercheckout .validation-advice { float: none; width: auto; color: red; }

/**
 * Margins for the boxes
 */
#bettercheckout-customer-options,
#bettercheckout-billing-address,
#bettercheckout-shipping-address,
#bettercheckout-shipping-methods,
#bettercheckout-payment-methods,
#bettercheckout-review { background: #e9f5ff; padding: 15px; }

 
#bettercheckout-customer-options,
#bettercheckout-billing-address { margin-bottom: 5%; }

#bettercheckout-shipping-methods,
#bettercheckout-payment-methods,
#bettercheckout-actions,
#bettercheckout-review  { margin-bottom: 3.33%; }
#bettercheckout-giftmessage { margin: 3.33% 0 3.33%; }

#bettercheckout .change { float: right; margin: 5px 8px 0 0; z-index: 3; position:relative; }
#bettercheckout .help { float: right; position:relative; width: 16px; height: 16px; background: url(../images/bettercheckout/help.png); margin: 6px 6px 0 0; z-index: 2; cursor: pointer; }
#bettercheckout .help-wrapper { position: absolute; top: 10px; left: 10px; width: 250px; z-index: 2; display: none; }
#bettercheckout .help:hover .help-wrapper { display: block; padding: 7px 0 0 7px; }
#bettercheckout .help-top { display: block; }
#bettercheckout .help-content { background: #FFF; padding: 10px; border: 1px solid #E0E0E0; display: block; }

/**
 * Headings and typography
 */
#bettercheckout h1 { margin-bottom: 1%; }
#bettercheckout h2 { font-size: 2em; margin-bottom: .5em; padding-bottom: .5em; border-bottom: 1px solid #332F2F; position: relative; }
#bettercheckout h2 .step { display: none; }
#bettercheckout h3 { }

/**
 * Padding for content boxes
 */
#bettercheckout .bettercheckout-content { }
#bettercheckout-actions {}
#bettercheckout-description { margin-bottom: 1%; border-top: 1px solid #E0E0E0; border-bottom: 1px solid #E0E0E0; padding: 10px; }
#box-shipping-form { margin-top: 15px; }

/**
 * Loaders
 */
#bettercheckout .bettercheckout-loader { position: absolute; background: url(../images/bettercheckout/box-loader.gif); width: 16px; height: 16px; top: 5px; right: 5px; display: none;  }
#bettercheckout .loading .bettercheckout-loader { display: block; }
#bettercheckout .loading .help { display: none; }

/**
 * Form elements
 */
#bettercheckout label input { margin: -3px 5px 0 0; background: transparent none; }
#bettercheckout label.radio { font-weight: normal; }
#bettercheckout input.input-text { width: 93%; }
#bettercheckout select { width: 100%; }
#bettercheckout textarea { width: 93%; }
#bettercheckout .form-list .field { width: 50%; }
#bettercheckout .form-list li { float: none; clear: none; margin: .25em 0; }
#bettercheckout li.fields li { float: left; width: 50%; }
#bettercheckout li.fields input.input-text { width: 83%; }
#bettercheckout li.fields select { width: 83%; }

#bettercheckout ul.list-actions { list-style: none; text-align: right; margin: 0; padding: 0; }
#bettercheckout li.li-back { display: inline; margin: 0; padding: 0; }
#bettercheckout li.li-proceed { display: inline; margin: 0; padding: 0; }

#bettercheckout li.heading { font-weight: bold; padding-top: 8px; }
#bettercheckout li.customer-addresses { padding: 10px 0; }
#bettercheckout li.customer-addresses select { width: 100%; padding: 2%; }

#bettercheckout .choice-list li.selected { background-color: #C4E4E7; -moz-border-radius: 5px; -webkit-border-radius: 5px; border-radius: 5px; }
#bettercheckout .choice-list li.error { padding-left: 30px; }
#bettercheckout .choice-list label { display: block; padding: 5px 10px; float: none; }

#bettercheckout-shipping-methods .choice-list strong { float: right; }
#bettercheckout-shipping-methods .choice-list small { font-weight: bold; font-size: 0.9em; }
#bettercheckout-payment-methods .choice-list li.selected { margin-right: 20px; }

#bettercheckout .image { padding-top: 20px; }

/**
 * Customer login / options
 */
#bettercheckout-customer-options ul ul { padding: 5px 10px; }
#bettercheckout-customer-options label { margin-top: 3px; }
#bettercheckout-customer-options input.input-text { }
#bettercheckout-customer-options li { margin: 0 0 8px; }
#bettercheckout-customer-options .box-switcher { margin-top: 7px; float: left; }
#bettercheckout-customer-options button { float: right; }

#customer-customer-notification { background: #E6EFC2; color: #264409; border: 1px dashed #C6D880; padding: 10px; display: none; }
/**
 * Name widget
 */
#bettercheckout .name-firstname { width: 50%; }
#bettercheckout .name-lastname { width: 50%; }
#bettercheckout .name-prefix { width: 15% !important; }
#bettercheckout .name-suffix { width: 15% !important; }
#bettercheckout .name-middlename { width: 15% !important; }

#bettercheckout .name-prefix input,
#bettercheckout .name-suffix input,
#bettercheckout .name-middlename input { width: 86% !important; }

#bettercheckout .name-prefix select,
#bettercheckout .name-suffix select { width: 94% !important; }

#bettercheckout .customer-name-prefix-middlename .name-firstname,
#bettercheckout .customer-name-prefix-middlename .name-lastname,
#bettercheckout .customer-name-suffix-middlename .name-firstname,
#bettercheckout .customer-name-suffix-middlename .name-lastname,
#bettercheckout .customer-name-prefix-suffix .name-firstname,
#bettercheckout .customer-name-prefix-suffix .name-lastname { width: 35%; }

#bettercheckout .customer-name-prefix-middlename .name-firstname input,
#bettercheckout .customer-name-prefix-middlename .name-lastname input,
#bettercheckout .customer-name-suffix-middlename .name-firstname input,
#bettercheckout .customer-name-suffix-middlename .name-lastname input,
#bettercheckout .customer-name-prefix-suffix .name-firstname input,
#bettercheckout .customer-name-prefix-suffix .name-lastname input { width: 93% !important; }

#bettercheckout .customer-name-prefix-middlename-suffix .name-firstname,
#bettercheckout .customer-name-prefix-middlename-suffix .name-lastname { width: 27.5%; }

#bettercheckout .customer-name-prefix-middlename-suffix .name-firstname input,
#bettercheckout .customer-name-prefix-middlename-suffix .name-lastname input { width: 92% !important; }

#bettercheckout .customer-name-prefix .name-firstname,
#bettercheckout .customer-name-prefix .name-lastname,
#bettercheckout .customer-name-suffix .name-firstname,
#bettercheckout .customer-name-suffix .name-lastname,
#bettercheckout .customer-name-middlename .name-firstname,
#bettercheckout .customer-name-middlename .name-lastname { width: 42.5%; }

#bettercheckout .customer-address label { float: none; }

#bettercheckout .customer-dob-label { float: none; display: block; }
#bettercheckout .customer-dob .dob-month,
#bettercheckout .customer-dob .dob-day { float:left; width: 20%; margin-right: 5%; }
#bettercheckout .customer-dob .dob-year { float: left; width: 50%; }

#bettercheckout .customer-dob .dob-month input.input-text,
#bettercheckout .customer-dob .dob-day input.input-text,
#bettercheckout .customer-dob .dob-year input.input-text { width: 92% !important; }

/**
 * Payment methods
 */
#bettercheckout-payment-methods .container { float: left; width: 50%; }
#bettercheckout-payment-methods .clear { clear: left; }
#bettercheckout-payment-info h3 { margin-bottom: 10px; display: none; }
#bettercheckout-payment-info dt { font-weight:bold; }
#bettercheckout-payment-info dt:after { content: ':' }
#bettercheckout-payment-info .message { margin: 10px 0; }

/**
 * Payment methods custom form css
 */
#payment_form_bankpayment dt { float: left; width: 50%; clear: left; }
#payment_form_bankpayment dd { float: left; width: 50%; }
#payment_form_ccsave .v-fix { float: left; width: 50%; }
#payment_form_ccsave .v-fix select { width: 90%; }
#payment_form_ccsave #ccsave_cc_cid { width: 60%; }

/**
 * Gift message layout
 */
#bettercheckout-giftmessage h2 { background-position: bottom left; position: relative; text-transform: uppercase; height: 44px; line-height: 44px; padding: 0 10px 0 40px; font-size: 1.3em;  }
#bettercheckout-giftmessage h2 input { margin-right: 22px; }
#bettercheckout-giftmessage h2 span { font-weight: bold; }
#bettercheckout-giftmessage img { position: absolute; left: 10px; top: -10px; }
#bettercheckout-giftmessage .bettercheckout-content { padding-top: 20px; }
#bettercheckout-giftmessage .form-list { margin-top: 10px; }

/**
 * Review table 
 */
#bettercheckout-review .bettercheckout-content { padding: 0; }
#bettercheckout-review .btn-cart-remove { width:16px; height:16px; font-size:0; line-height:0; background:url(../images/btn_trash.gif) 0 0 no-repeat; text-indent:-999em; overflow:hidden; display: block; }
#bettercheckout-review-table h4 { font-family: Arial,sans-serif; font-weight: bold; }
#bettercheckout-review-table h4 a { color: #332F2F; text-decoration: none; }
#bettercheckout-review-table { border: 0; width: 100%; margin-top: 1.5em; }
#bettercheckout-review-table img { display: block; }
#bettercheckout-review-table thead td, #bettercheckout-review-table thead th { border: 0; border-bottom: 1px solid #AEB8BF; }
#bettercheckout-review-table tbody td, #bettercheckout-review-table tbody th { border: 0; border-bottom: 1px solid #aeb8bf; }
#bettercheckout-review-table thead th { border-top: 0; border-left: 0; border-right: 0; }
#bettercheckout-review-table tbody td { vertical-align: middle; }
#bettercheckout .data-table tfoot, #bettercheckout .data-table tfoot tr { background: none !important; }
#bettercheckout-review-table .update-shopping { padding-top: 8px; padding-bottom: 8px; }
#bettercheckout-review-table input.input-text { width: auto; }
#bettercheckout-review-table dl.item-options { margin: 0; }
#bettercheckout-review-table dl.item-options dt { float: left; clear: left; padding-right: 5px; }
#bettercheckout-review-table dl.item-options dd {  }
#bettercheckout-review-table td.a-center img { margin: 0 auto; }

/**
 * Review page
 */
#bettercheckout-review-page dt { float: left; width: 40%; font-weight: bold !important; }
#bettercheckout-review-page dd { clear: right; }

#bettercheckout-review-left { float: left; width: 54.5%; margin-right: 1%; }
#bettercheckout-review-right { float: left; width: 44.5%; }

#bettercheckout .bettercheckout-box { margin-bottom: 2%; }
#bettercheckout .column { float: left; width: 49%; }
#bettercheckout .column-first { margin-right: 1%; }
#bettercheckout .column-last { margin-left: 1%; }

#bettercheckout-box-review { clear: left; }
#bettercheckout-box-review .bettercheckout-content { padding: 0; }

/**
 * Customer comment
 */
#customer-comment-box { padding-top: 8px; }
#customer-comment-box textarea { width: 99%; }


/**
 * Success page
 */
#bettercheckout .bettercheckout-order-info { }
#bettercheckout .bettercheckout-contact-form { float: left; width: 60%; margin-bottom: 1.5% }
#bettercheckout .bettercheckout-questions { float: right; width: 35%; margin-bottom: 1.5% }

#bettercheckout .bettercheckout-order-info p,
#bettercheckout .bettercheckout-questions p { margin-bottom: 0.5em; }

#delivery-date-wrapper { padding: 10px 5px; }
#delivery-date-wrapper small { margin-left: 10px; font-size: smaller; }
#delivery-date-wrapper label { font-weight: bold; display: block; }
#bettercheckout #delivery-date-visible { padding: 5px 5px 5px 25px; background: url(../images/bettercheckout/grid-cal.gif) 5px center no-repeat; width: 110px; }

/**
 * Delivery Date Calendar
 */
div.calendar { font-size: smaller; color: #000;}
div.calendar.popup { margin-left: -40px; margin-top: -100px; }
div.calendar table { background-color: #eee; border: 1px solid #aaa; border-collapse: collapse; }
div.calendar thead { background-color: white; }
div.calendar td,
div.calendar th { padding: 3px; text-align: center; }
div.calendar td.title { font-weight: bold; }
div.calendar th { background: #ddd; border-bottom: 1px solid #ccc; border-top: 1px solid #ccc; font-weight: bold; color: #555; }
div.calendar tr.days td { width: 2em; color: #555; text-align: center; cursor: pointer; }

div.calendar tr.days td:hover,
div.calendar td.button:hover { background-color: #34ABFA; cursor: pointer; }

div.calendar tr.days td:active
div.calendar td.button:active { background-color: #cde; }

div.calendar tr.days td.selected { font-weight: bold; background-color: #fff; color: #000; }
div.calendar tr.days td.today { font-weight: bold; color: #D50000; }
div.calendar tr.days td.otherDay { color: #bbb; }


.bettercheckout_succes .addthis_button { background-image:url("../images/share.gif"); background-position:10px 50%; padding-left:78px; text-align:left; margin-bottom: .5em; }
.bettercheckout_succes iframe.facebook_like { width: 125px; margin: 1em auto 0; height: 21px; }
.bettercheckout_succes p { font-size: 1.35em; font-weight: bold; margin: 0.5em 0 1em; }